﻿using CeVIO.Talk.RemoteService;

namespace CeVIOCreativeStudioDotNetTest
{
	class Program
	{
		static void Main(string[] args)
		{
			// 【CeVIO Creative Studio】起動
			ServiceControl.StartHost(false);

			// Talkerインスタンス生成
			Talker talker = new Talker();

			// キャスト設定
			talker.Cast = "さとうささら";

			// （例）音量設定
			talker.Volume = 100;

			// （例）抑揚設定
			talker.ToneScale = 100;

			// （例）再生
			SpeakingState state = talker.Speak("こんにちは");
			state.Wait();

			// （例）音素データをトレース出力
			PhonemeData[] phonemes = talker.GetPhonemes("はじめまして");
			foreach (var phoneme in phonemes)
			{
				System.Diagnostics.Trace.WriteLine("" + phoneme.Phoneme + " " + phoneme.StartTime + " " + phoneme.EndTime);
			}

			// 【CeVIO Creative Studio】終了
			ServiceControl.CloseHost();
		}
	}
}
